/*
 * 作成日: 2004/06/29
 *
 * この生成されたコメントの挿入されるテンプレートを変更するため
 * ウィンドウ > 設定 > Java > コード生成 > コードとコメント
 */
package jp.riken.brain.ni.samuraigraph.application;

import java.util.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.text.*;
import jp.riken.brain.ni.samuraigraph.base.*;
import jp.riken.brain.ni.samuraigraph.data.*;
import jp.riken.brain.ni.samuraigraph.figure.*;
import jp.riken.brain.ni.samuraigraph.figure.java2d.*;


/**
 * @author kuromaru
 *
 * この生成されたコメントの挿入されるテンプレートを変更するため
 * ウィンドウ > 設定 > Java > コード生成 > コードとコメント
 */
public class SGFileChooserWizardDialog extends SGWizardDialog
{

	/**
	 * 
	 */
	protected JFileChooser mFileChooser = new JFileChooser();



	/** Creates new form SGFileChooserWizardDialog */
	public SGFileChooserWizardDialog(java.awt.Frame parent, boolean modal)
	{
		super(parent, modal);
	}


	/**
	 * 
	 * ファイルチューザを開く
	 * 引数はディレクトリ名
	 * @return
	 */
	protected ArrayList openFileChooser()
	{
System.out.println("<< openFileChooser >>");

		//
		this.mFileChooser.setCurrentDirectory( new File( PATH_NAME ) );

//System.out.println(pathName);
//System.out.println("aaa");

		// show open dialog
		int ret = this.mFileChooser.showOpenDialog(this);

//System.out.println("bbb");

		ArrayList fileList = new ArrayList();
		switch( ret )
		{
			// selected
			case JFileChooser.APPROVE_OPTION :
			{
				if( this.mFileChooser.isMultiSelectionEnabled() )
				{
					File[] files = this.mFileChooser.getSelectedFiles();
					for( int ii=0; ii<files.length; ii++ )
					{
						fileList.add( files[ii] );
					}
				}
				else
				{
					fileList.add( this.mFileChooser.getSelectedFile() );
				}
				break;
			}

			// canceled
			case JFileChooser.CANCEL_OPTION :
			{
				break;
			}

			// error
			case JFileChooser.ERROR_OPTION :
			{
				throw new Error();
			}

			default :
			{
				
			}
		}

//System.out.println("ccc");

//System.out.println(fileList);

		return fileList;

	}








}
